Package org.eclipse.lemminx.extensions.relaxng.xmlmodel

## Class XMLModelRelaxNGValidator

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.xml.validator.ExternalRelaxNGValidator
  - - org.eclipse.lemminx.extensions.relaxng.xmlmodel.XMLModelRelaxNGValidator

All Implemented Interfaces:
  `org.apache.xerces.xni.parser.XMLComponent`, `org.apache.xerces.xni.parser.XMLDocumentFilter`, `org.apache.xerces.xni.parser.XMLDocumentSource`, `org.apache.xerces.xni.XMLDocumentHandler`, `XMLModelValidator`

    public class XMLModelRelaxNGValidator
    extends ExternalRelaxNGValidator
    implements XMLModelValidator

XML model validator which process validation with RelaxNG:

            <?xml-model href="http://www.tei-c.org/release/xml/tei/custom/schema/relaxng/tei_lite.rng"?>

### Field Summary

### Fields inherited from class org.eclipse.lemminx.extensions.relaxng.xml.validator.ExternalRelaxNGValidator

`ENTITY_RESOLVER, ERROR_REPORTER, RELAXNG, XMLGRAMMAR_POOL`

### Constructor Summary

Constructors
`XMLModelRelaxNGValidator​(String href)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setExternalRelaxNG​(String externalRelaxNG)`

### Methods inherited from class org.eclipse.lemminx.extensions.relaxng.xml.validator.ExternalRelaxNGValidator

`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentHandler, getDocumentSource, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, ignorableWhitespace, processingInstruction, reset, setDocumentHandler, setDocumentSource, setFeature, setLocator, setProperty, setXMLReader, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLComponent

`getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, reset, setFeature, setProperty`

### Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler

`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource

`getDocumentHandler, setDocumentHandler`

### Methods inherited from interface org.eclipse.lemminx.extensions.xerces.xmlmodel.XMLModelValidator

`setLocator, setXMLReader`

### Constructor Detail

#### XMLModelRelaxNGValidator

    public XMLModelRelaxNGValidator​(String href)

### Method Detail

#### setExternalRelaxNG

    public void setExternalRelaxNG​(String externalRelaxNG)

Overrides:
  `setExternalRelaxNG` in class `ExternalRelaxNGValidator`